/**
 * RoleClassInvestigationSubject2.java
 *
 * File generated from the medication2::RoleClassInvestigationSubject2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassInvestigationSubject2.
 *
 * 
 */

@XmlType(name = "RoleClassInvestigationSubject")
@XmlEnum
@XmlRootElement(name = "RoleClassInvestigationSubject2")
public enum RoleClassInvestigationSubject2 {
	@XmlEnumValue("INVSBJ")
	INVSBJ("INVSBJ"),
	@XmlEnumValue("CASESBJ")
	CASESBJ("CASESBJ"),
	@XmlEnumValue("RESBJ")
	RESBJ("RESBJ");
	
	private final String value;

    RoleClassInvestigationSubject2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static RoleClassInvestigationSubject2 fromValue(String v) {
        for (RoleClassInvestigationSubject2 c: RoleClassInvestigationSubject2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
